openshot::OutOfBoundsFrame Class Reference

Exception for frames that are out of bounds. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::OutOfBoundsFrame:

## Public Member Functions

| OutOfBoundsFrame (string message, int64_t frame_requested, int64_t max_frames)
virtual | ~OutOfBoundsFrame () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

int64_t | FrameRequested
int64_t | MaxFrames

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception for frames that are out of bounds.

Definition at line 202 of file Exceptions.h.

## Constructor & Destructor Documentation

## OutOfBoundsFrame()

openshot::OutOfBoundsFrame::OutOfBoundsFrame | ( | string | message,
|  | int64_t | frame_requested,
|  | int64_t | max_frames
| ) |  |

inline

Definition at line 207 of file Exceptions.h.

## ~OutOfBoundsFrame()

virtual openshot::OutOfBoundsFrame::~OutOfBoundsFrame | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 209 of file Exceptions.h.

## Member Data Documentation

## FrameRequested

int64_t openshot::OutOfBoundsFrame::FrameRequested

Definition at line 205 of file Exceptions.h.

## MaxFrames

int64_t openshot::OutOfBoundsFrame::MaxFrames

Definition at line 206 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h